# Packages de routeurs Fabric Cloud Router ## Conditions préalables[​](#conditions-préalables "Lien direct vers Conditions préalables") Authentifier - envoyez vos identifiants utilisateur, votre identifiant client et votre secret client pour l'authentification OAuth2. Pour obtenir des instructions sur la façon d'appeler l'API OAuth pour valider et authentifier vos identifiants, reportez-vous à [authentification API](https://docs.equinix.com/fr/equinix-api/api-authentication.md). ## Obtenir tous les packs Fabric Cloud Router[​](#obtenir-tous-les-packs-fabric-cloud-router "Lien direct vers Obtenir tous les packs Fabric Cloud Router") Pour répertorier tous les packages Fabric Cloud Router, envoyez une `GET` demande au point final[/fabric/v4/routerPackages](#). Utilisez les paramètres de requête facultatifs pour contrôler la pagination. | | **OBTENEZ /fabric/v4/routerpackages** | | ---------------------------- | ------------------------------------- | | Méthode | `GET` | | URL ou point final | `/fabric/v4/routerPackages` | | En-têtes | `Authorization` `Content-Type` | | Paramètres du chemin d'accès | Non applicable | | Paramètres d'interrogation | `offset` `limit` | | Paramètres du corps | Non applicable | Exemple de requête curl : ``` curl -X GET 'https://api.equinix.com/fabric/v4/routerPackages' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Paramètres de la requête : * `offset` (Facultatif) *entier* - Index du premier élément renvoyé dans la réponse. Par défaut`0`, la valeur est . * `limit` (Facultatif) *entier* - nombre maximal d'éléments renvoyés par page. Par défaut`20`, la valeur est . Exemple de réponse : ``` {     "pagination": {         "offset": 0,         "limit": 20,         "total": 1     },     "data": [         {             "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",             "type": "ROUTER_PACKAGE",             "code": "STANDARD",             "description": "string",             "totalIPv4RoutesMax": 1000,             "totalIPv6RoutesMax": 100,             "routeFilterSupported": true,             "vcBandwidthMax": 10000,             "vcCountMax": 10, "crCountMax": 3,             "changeLog": {                 "createdDateTime": "2022-02-10T00:14:47Z",                 "updatedDateTime": "2022-02-10T00:14:47Z"             }         }     ] } ``` ## Obtenir l'ensemble des routeurs Fabric Cloud Router spécifiés[​](#obtenir-lensemble-des-routeurs-fabric-cloud-router-spécifiés "Lien direct vers Obtenir l'ensemble des routeurs Fabric Cloud Router spécifiés") Pour obtenir les détails d'un package Fabric Cloud Router, envoyez une `GET` demande au [`/fabric/v4/routerPackages/{routerPackageCode}`](https://docs.equinix.com/fr/api-catalog/fabricv4/cloud-router-packages/getcloudrouterpackagebycode.md)terminal. | | **OBTENEZ /fabric/v4/routerPackages/{routerPackageCode}** | | ---------------------------- | --------------------------------------------------------- | | Méthode | `GET` | | URL ou point final | `/fabric/v4/routerPackages/{routerPackageCode}` | | En-têtes | `Authorization` `Content-Type` | | Paramètres du chemin d'accès | `routerPackageCode` | | Paramètres d'interrogation | Non applicable | | Paramètres du corps | Non applicable | Exemple de requête curl : ``` curl -X GET 'https://api.equinix.com/fabric/v4/routerPackages/{routerPackageCode}' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Paramètre de chemin : * `routerPackageCode` (Obligatoire) *String* - identifiant du package Fabric Cloud Router. Valeurs applicables : `LAB`, `STANDARD`, , `ADVANCED` `PREMIUM`. Exemple de réponse : ``` {     "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",     "type": "ROUTER_PACKAGE",     "code": "STANDARD",     "description": "string",     "totalIPv4RoutesMax": 1000, "totalIPv6RoutesMax": 100, "routeFilterSupported": true, "vcBandwidthMax": 10000, "vcCountMax": 10, "crCountMax": 3,     "changeLog": {         "createdDateTime": "2022-01-24T10:28:51.024Z",         "updatedDateTime": "2022-01-24T10:28:51.024Z"     } } ```